/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": function() { return /* binding */ descriptions; }
});

;// CONCATENATED MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject = require("vue");
;// CONCATENATED MODULE: external "@vueuse/core"
var core_namespaceObject = require("@vueuse/core");
;// CONCATENATED MODULE: external "@vue/shared"
var shared_namespaceObject = require("@vue/shared");
;// CONCATENATED MODULE: ./src/common/_ui/descriptions/KqDescriptionsCell.js



/* harmony default export */ var KqDescriptionsCell = ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.defineComponent)({
  name: "KqDescriptionsCell",
  props: {
    cell: {
      type: Object
    },
    tag: {
      type: String
    },
    type: {
      type: String
    }
  },

  setup() {
    const descriptions = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.inject)("kqDescriptions");
    return {
      descriptions
    };
  },

  render() {
    const isStringNumber = val => {
      if (!(0,shared_namespaceObject.isString)(val)) {
        return false;
      }

      return !Number.isNaN(Number(val));
    };

    const getNormalizedProps = node => {
      if (!(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isVNode)(node)) {
        console.error("[getNormalizedProps] must be a VNode");
        return {};
      } else {
        return node.props;
      }
    };

    const addUnit = (value, defaultUnit = "px") => {
      if (!value) return "";

      if ((0,core_namespaceObject.isNumber)(value) || isStringNumber(value)) {
        return `${value}${defaultUnit}`;
      } else if ((0,shared_namespaceObject.isString)(value)) {
        return value;
      }

      console.error("binding value must be a string or number");
    };

    const item = getNormalizedProps(this.cell);
    const {
      border,
      direction
    } = this.descriptions;
    const isVertical = direction === "vertical";
    const label = this.cell?.children?.label?.() || item.label;
    const content = this.cell?.children?.default?.();
    const span = item?.span || 1;
    const align = item?.align ? `is-${item.align}` : "";
    const labelAlign = item?.['label-align'] ? `is-${item['label-align']}` :  false || align;
    const className = item?.['class-name'];
    const labelClassName = item?.['label-class-name'];
    const style = {
      width: addUnit(item?.width),
      minWidth: addUnit(item?.minWidth)
    };

    switch (this.type) {
      case "label":
        return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.h)(this.tag, {
          style,
          class: ["kq-descriptions__cell", "kq-descriptions__label", border ? "is-bordered-label" : null, isVertical ? "is-vertical-label" : null, labelAlign, labelClassName],
          colSpan: isVertical ? span : 1
        }, label);

      case "content":
        return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.h)(this.tag, {
          style,
          class: ["kq-descriptions__cell", "kq-descriptions__content", border ? "is-bordered-content" : null, isVertical ? "is-vertical-content" : null, align, className],
          colSpan: isVertical ? span : span * 2 - 1
        }, content);

      default:
        return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.h)("td", {
          style,
          class: ["kq-descriptions__cell", align],
          colSpan: span
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.h)("span", {
          class: ["kq-descriptions__label", labelClassName]
        }, label), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.h)("span", {
          class: ["kq-descriptions__content", className]
        }, content)]);
    }
  }

}));
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/common/_ui/descriptions/KqDescriptionsRow.vue?vue&type=script&setup=true&lang=js

const _hoisted_1 = {
  key: 1
};


/* harmony default export */ var KqDescriptionsRowvue_type_script_setup_true_lang_js = ({
  __name: 'KqDescriptionsRow',
  props: {
    row: {
      type: Array,
      default: () => []
    }
  },

  setup(__props) {
    const descriptions = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.inject)("kqDescriptions");
    return (_ctx, _cache) => {
      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(descriptions).direction === 'vertical' ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, {
        key: 0
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("tr", null, [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)(__props.row, (cell, index) => {
        return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(KqDescriptionsCell), {
          key: `tr1-${index}`,
          cell: cell,
          tag: "th",
          type: "label"
        }, null, 8
        /* PROPS */
        , ["cell"]);
      }), 128
      /* KEYED_FRAGMENT */
      ))]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("tr", null, [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)(__props.row, (cell, index) => {
        return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(KqDescriptionsCell), {
          key: `tr2-${index}`,
          cell: cell,
          tag: "td",
          type: "content"
        }, null, 8
        /* PROPS */
        , ["cell"]);
      }), 128
      /* KEYED_FRAGMENT */
      ))])], 64
      /* STABLE_FRAGMENT */
      )) : ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("tr", _hoisted_1, [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)(__props.row, (cell, index) => {
        return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, {
          key: `tr3-${index}`
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(descriptions).border ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, {
          key: 0
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(KqDescriptionsCell), {
          cell: cell,
          tag: "td",
          type: "label"
        }, null, 8
        /* PROPS */
        , ["cell"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(KqDescriptionsCell), {
          cell: cell,
          tag: "td",
          type: "content"
        }, null, 8
        /* PROPS */
        , ["cell"])], 64
        /* STABLE_FRAGMENT */
        )) : ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(KqDescriptionsCell), {
          key: 1,
          cell: cell,
          tag: "td",
          type: "both"
        }, null, 8
        /* PROPS */
        , ["cell"]))], 64
        /* STABLE_FRAGMENT */
        );
      }), 128
      /* KEYED_FRAGMENT */
      ))]));
    };
  }

});
;// CONCATENATED MODULE: ./src/common/_ui/descriptions/KqDescriptionsRow.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/common/_ui/descriptions/KqDescriptionsRow.vue



const __exports__ = KqDescriptionsRowvue_type_script_setup_true_lang_js;

/* harmony default export */ var KqDescriptionsRow = (__exports__);
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/common/_ui/descriptions/KqDescriptions.vue?vue&type=script&setup=true&lang=js

const KqDescriptionsvue_type_script_setup_true_lang_js_hoisted_1 = {
  class: "kq-descriptions"
};
const _hoisted_2 = {
  key: 0,
  class: "kq-descriptions__header"
};
const _hoisted_3 = {
  class: "kq-descriptions__title"
};
const _hoisted_4 = {
  class: "kq-descriptions__extra"
};
const _hoisted_5 = {
  class: "kq-descriptions__body"
};



const __default__ = {
  name: "KqDescriptions"
};
/* harmony default export */ var KqDescriptionsvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
    border: {
      type: Boolean,
      default: false
    },
    column: {
      type: Number,
      default: 4
    },
    direction: {
      type: String,
      values: ["horizontal", "vertical"],
      default: "horizontal"
    },
    size: {
      type: String,
      values: ["", "default", "small", "large"],
      required: false
    },
    title: {
      type: String,
      default: ""
    },
    extra: {
      type: String,
      default: ""
    }
  },

  setup(__props) {
    const props = __props;
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.provide)("kqDescriptions", props);
    const slots = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.useSlots)();

    const filledNode = (node, span, count, isLast = false) => {
      if (!node.props) {
        node.props = {};
      }

      if (span > count) {
        node.props.span = count;
      }

      if (isLast) {
        node.props.span = span;
      }

      return node;
    };

    const flattedChildren = children => {
      const vNodes = (0,shared_namespaceObject.isArray)(children) ? children : [children];
      const result = [];
      vNodes.forEach(child => {
        if ((0,shared_namespaceObject.isArray)(child)) {
          result.push(...flattedChildren(child));
        } else if ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isVNode)(child) && (0,shared_namespaceObject.isArray)(child.children)) {
          result.push(...flattedChildren(child.children));
        } else {
          result.push(child);

          if ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isVNode)(child) && child.component?.subTree) {
            result.push(...flattedChildren(child.component.subTree));
          }
        }
      });
      return result;
    };

    const getRows = () => {
      const children = flattedChildren(slots.default?.()).filter(node => node?.type?.name === "KqDescriptionsItem");
      const rows = [];
      let temp = [];
      let count = props.column;
      let totalSpan = 0; // all spans number of item

      children.forEach((node, index) => {
        const span = node.props?.span || 1;

        if (index < children.length - 1) {
          totalSpan += span > count ? count : span;
        }

        if (index === children.length - 1) {
          const lastSpan = props.column - totalSpan % props.column;
          temp.push(filledNode(node, lastSpan, count, true));
          rows.push(temp);
          return;
        }

        if (span < count) {
          count -= span;
          temp.push(node);
        } else {
          temp.push(filledNode(node, span, count));
          rows.push(temp);
          count = props.column;
          temp = [];
        }
      });
      return rows;
    };

    return (_ctx, _cache) => {
      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", KqDescriptionsvue_type_script_setup_true_lang_js_hoisted_1, [__props.title || __props.extra || _ctx.$slots.title || _ctx.$slots.extra ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", _hoisted_2, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_3, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderSlot)(_ctx.$slots, "title", {}, () => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)(__props.title), 1
      /* TEXT */
      )])]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_4, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderSlot)(_ctx.$slots, "extra", {}, () => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)(__props.extra), 1
      /* TEXT */
      )])])])) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_5, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("table", {
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)(["kq-descriptions__table", __props.border ? 'is-bordered' : null])
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("tbody", null, [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)(getRows(), (row, index) => {
        return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(KqDescriptionsRow, {
          key: index,
          row: row
        }, null, 8
        /* PROPS */
        , ["row"]);
      }), 128
      /* KEYED_FRAGMENT */
      ))])], 2
      /* CLASS */
      )])]);
    };
  }

}));
;// CONCATENATED MODULE: ./src/common/_ui/descriptions/KqDescriptions.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/common/_ui/descriptions/KqDescriptions.vue



const KqDescriptions_exports_ = KqDescriptionsvue_type_script_setup_true_lang_js;

/* harmony default export */ var KqDescriptions = (KqDescriptions_exports_);
;// CONCATENATED MODULE: ./src/common/_ui/descriptions/KqDescriptionsItem.js

/* harmony default export */ var KqDescriptionsItem = ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.defineComponent)({
  name: 'KqDescriptionsItem',
  props: {
    label: {
      type: String,
      default: ''
    },
    span: {
      type: Number,
      default: 1
    },
    width: {
      type: [String, Number],
      default: ''
    },
    minWidth: {
      type: [String, Number],
      default: ''
    },
    align: {
      type: String,
      default: 'left'
    },
    labelAlign: {
      type: String,
      default: ''
    },
    className: {
      type: String,
      default: ''
    },
    labelClassName: {
      type: String,
      default: ''
    }
  }
}));
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/init.js"
var init_js_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/init.js");
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_namespaceObject);
;// CONCATENATED MODULE: ./src/common/_ui/descriptions/index.js




KqDescriptions.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(KqDescriptions.name, KqDescriptions);
  Vue.component(KqDescriptionsItem.name, KqDescriptionsItem);
};

/* harmony default export */ var descriptions = (KqDescriptions);
module.exports = __webpack_exports__;
/******/ })()
;