/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "WebPrintViewModel": function() { return /* reexport */ WebPrintViewModel; },
  "default": function() { return /* reexport */ WebPrint; }
});

;// CONCATENATED MODULE: external "core-js/modules/es.error.cause.js"
var es_error_cause_js_namespaceObject = require("core-js/modules/es.error.cause.js");
;// CONCATENATED MODULE: external "core-js/modules/es.array.includes.js"
var es_array_includes_js_namespaceObject = require("core-js/modules/es.array.includes.js");
;// CONCATENATED MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject = require("vue");
;// CONCATENATED MODULE: external "@element-plus/icons-vue"
var icons_vue_namespaceObject = require("@element-plus/icons-vue");
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/dictionaries"
var dictionaries_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/dictionaries");
;// CONCATENATED MODULE: ./node_modules/@babel/runtime/helpers/esm/defineProperty.js
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/gis-utils"
var gis_utils_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/gis-utils");
;// CONCATENATED MODULE: ./src/leaflet/webprint/WebPrintViewModel.js


/**
 * Author: 朱鹏超
 * Date: 2022-11-23
 * Description: web打印逻辑层
 */

/**
 * @class WebPrintViewModel
 * @classdesc 服务端打印
 * @param {string} mapTarget - 绑定的当前mapview
 */

class WebPrintViewModel extends L.Evented {
  constructor(mapTarget) {
    super();

    _defineProperty(this, "_props", null);

    _defineProperty(this, "_webMap", null);

    this._props = {
      mapTarget
    };
    this._loadedAsync = this._loadedAsync.bind(this);
    this._loadedSync = this._loadedSync.bind(this);

    this._registerEvents();
  }
  /**
   * @description 注册事件
   * @private
   */


  _registerEvents() {
    // 监听地图初始化完成事件
    // 异步
    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("mounted", this._loadedAsync, this._props.mapTarget); // 同步

    gis_utils_namespaceObject.utils.getWebMap(this._props.mapTarget, this._loadedSync);
  }
  /**
   * @description 异步加载
   * @private
   */


  _loadedAsync(e) {
    // 如果图层变化事件是自己触发的 则不继续执行 避免死循环
    if (e.eventTarget && e.eventTarget === this) {
      return;
    }

    this._webMap = e.target;
    console.log(this._webMap);
  }
  /**
   * @description 同步加载
   * @private
   */


  _loadedSync(e) {
    this._webMap = e;
  }
  /**
   * 预览|打印|保存为图片
   * @param {Object} params - 参数
   * @param {number} params.x - 中心点经度
   * @param {number} params.y - 中心点纬度
   * @param {number} params.scale - 比例尺
   * @param {number} params.layout - 指定的打印模版
   * @param {number} params.type - 纸张类型
   * @param {number} params.orientation - 纸张方向
   * @param {number} params.dpi - 分辨率
   * @param {number} params.format - 输出格式
   * @param {string} type - 预览或打印或保存为图片，preview|print|img
   */


  startPrint(params, type) {
    let _layerCheckedLists = gis_utils_namespaceObject.mapLayerUtils.getLayerCheckedList(this._props.mapTarget);

    return new Promise((resolve, reject) => {
      var printUrl = `${this._webMap._props.serviceUrl}/print/webprint/print`;
      let queryService = new KqGIS.WebPrint.PrintService(printUrl, {
        eventListeners: {
          processCompleted: res => {
            if (type === "preview") {
              // 预览
              resolve(res.result.result.downloadUrl);
            } else if (type === "print") {
              // 打印
              KqGIS.CommonTools.downloadFromUrl(res.result.result.downloadUrl, "webprint");
              resolve();
            } else {
              // 保存为图片
              this.downloadImage(res.result.result.downloadUrl);
              resolve();
            }
          },
          processFailed: reject
        }
      });
      var _params = {
        dpi: params["dpi"],
        page: {
          name: params["type"],
          orientation: params["orientation"]
        },
        format: params["format"],
        // 打印格式
        layout: {
          templateName: params["layout"]
        },
        content: {
          urls: (() => {
            let _urls = [];

            _layerCheckedLists.forEach((item, index) => {
              _urls.push({
                connectionType: "WMS",
                server: `${item.url}/wms`
              });
            });

            return _urls;
          })(),
          center: params["x"] && params["y"] ? [(params["x"], params["y"])] : null,
          scale: params["scale"]
        }
      };
      !_params.content.center ? delete _params.content.center : null;
      !_params.content.scale ? delete _params.content.scale : null;
      queryService.processAsync(_params);
    });
  }
  /**
   * 保存为图片
   */


  downloadImage(url, name) {
    var a = document.createElement("a");
    var event = new MouseEvent("click");
    a.download = name || "webprint";
    a.href = url;
    a.dispatchEvent(event);
  }

}
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet"
var vue_iclient_leaflet_namespaceObject = require("@zpc_npm/vue-iclient-leaflet");
;// CONCATENATED MODULE: external "xe-utils"
var external_xe_utils_namespaceObject = require("xe-utils");
var external_xe_utils_default = /*#__PURE__*/__webpack_require__.n(external_xe_utils_namespaceObject);
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/leaflet/webprint/WebPrint.vue?vue&type=script&setup=true&lang=js



const _hoisted_1 = {
  class: "setting-box-btn"
};

const _hoisted_2 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("h4", {
  class: "title"
}, "图层选择", -1
/* HOISTED */
);

const _hoisted_3 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)(" 数据内容 ");

const _hoisted_4 = {
  class: "form-box"
};

const _hoisted_5 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)(" 页面设置 ");

const _hoisted_6 = {
  class: "form-box"
};

const _hoisted_7 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)(" 打印输出 ");

const _hoisted_8 = {
  class: "form-box"
};
const _hoisted_9 = {
  style: {
    "text-align": "right",
    "margin-top": "16px"
  }
};

const _hoisted_10 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("预览");

const _hoisted_11 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("发送到打印机");

const _hoisted_12 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("保存为图片");

const _hoisted_13 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("h4", {
  class: "title"
}, "图层选择", -1
/* HOISTED */
);

const _hoisted_14 = {
  class: "select-layer-content"
};
const _hoisted_15 = {
  class: "preview-box"
};
const _hoisted_16 = {
  class: "btn-group"
};






const __default__ = {
  name: "Kq2dWebPrint"
};
/* harmony default export */ var WebPrintvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
    // 每个地图相关组件的必须参数 非必传 指定组件绑定的map对象的div的id
    mapTarget: String,
    // 是否显示阴影
    showShadow: {
      type: Boolean,
      default: true
    }
  },

  setup(__props) {
    const props = __props; // 逻辑类

    let viewModel = null; // 组件容器

    let boxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(); // 参数设置框容器

    let settingWrapRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(); // 参数设置次级框容器

    let settingBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(); // 主内容容器

    let mainBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(); // 图层选择容器

    let selectLayerBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(); // 表单容器

    let ruleFormRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(); // 折叠面板

    let activeNames = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)([]); // 参数设置框的显示与隐藏，默认显示

    let isShowSettingBox = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(true); // 控制主容器与图层选择容器的切换

    let isShowLayerSelect = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false); // 监听主容器与图层选择容器的切换

    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.watch)(() => isShowLayerSelect.value, value => {
      settingBoxRef.value.style.height = `${mainBoxRef.value.clientHeight}px`;

      if (value) {
        settingBoxRef.value.style.height = `${selectLayerBoxRef.value.clientHeight}px`;
      }
    }); // 监听collapse的展开与收起

    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.watch)(() => activeNames.value.length, value => {
      settingBoxRef.value.style.height = "auto";
    }); // 表单数据变量

    const ruleForm = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.reactive)({
      // 中心点经度
      x: null,
      // 中心点纬度
      y: null,
      // 比例尺
      scale: null,
      // 指定的打印模版
      layout: null,
      // 纸张类型
      type: "A4",
      // 纸张方向
      orientation: "Portrait",
      // 分辨率
      dpi: "96",
      // 输出格式
      format: "PDF"
    }); // 数据内容label

    let labelsData = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.reactive)({
      xmax: 180,
      xmin: -180,
      ymax: 90,
      ymin: -90
    });

    const validateX = (rule, value, callback) => {
      if (value == "" || value == null) {
        activeNames.value.push("1");
        callback(new Error("请输入经度"));
      } else {
        if (value > labelsData.xmax || value < labelsData.xmin) {
          activeNames.value.push("1");
          callback(new Error("请输入正确范围的经度"));
        }

        callback();
      }
    };

    const validateY = (rule, value, callback) => {
      if (value == "" || value == null) {
        activeNames.value.push("1");
        callback(new Error("请输入纬度"));
      } else {
        if (value > labelsData.ymax || value < labelsData.ymin) {
          activeNames.value.push("1");
          callback(new Error("请输入正确范围的纬度"));
        }

        callback();
      }
    };

    const validateScale = (rule, value, callback) => {
      if (value == "" || value == null) {
        activeNames.value.push("1");
        callback(new Error("请选择比例尺"));
      } else {
        callback();
      }
    };

    const validateLayout = (rule, value, callback) => {
      if (value == "" || value == null) {
        activeNames.value.push("2");
        callback(new Error("请选择打印模板"));
      } else {
        callback();
      }
    };

    const validateType = (rule, value, callback) => {
      if (value == "" || value == null) {
        activeNames.value.push("2");
        callback(new Error("请选择纸张类型"));
      } else {
        callback();
      }
    };

    const validateOrientation = (rule, value, callback) => {
      if (value == "" || value == null) {
        activeNames.value.push("2");
        callback(new Error("请选择纸张方向"));
      } else {
        callback();
      }
    };

    const validateDpi = (rule, value, callback) => {
      if (value == "" || value == null) {
        activeNames.value.push("3");
        callback(new Error("请选择分辨率"));
      } else {
        callback();
      }
    };

    const validateFormat = (rule, value, callback) => {
      if (value == "" || value == null) {
        activeNames.value.push("3");
        callback(new Error("请选择图片格式"));
      } else {
        callback();
      }
    };

    let rules = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.reactive)({
      // 数据内容校验
      // x: [{ validator: validateX, trigger: "blur" }],
      // y: [{ validator: validateY, trigger: "blur" }],
      // scale: [{ validator: validateScale, trigger: "change" }],
      // 页面设置校验
      layout: [{
        validator: validateLayout,
        trigger: "change"
      }],
      type: [{
        validator: validateType,
        trigger: "change"
      }],
      orientation: [{
        validator: validateOrientation,
        trigger: "change"
      }],
      // 打印输出校验
      dpi: [{
        validator: validateDpi,
        trigger: "change"
      }],
      format: [{
        validator: validateFormat,
        trigger: "change"
      }]
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onMounted)(() => {
      viewModel = new WebPrintViewModel(props.mapTarget);
    });
    /**
     * @param {string} type - 预览,preview|打印,print|保存为图片,img
     */

    const onSubmit = type => {
      ruleFormRef.value.$refs.child.validate((valid, fields) => {
        if (valid) {
          let param = Object.assign({}, ruleForm);

          if (ruleForm.scale && !external_xe_utils_default().isNumber(param.scale) && ruleForm.scale.indexOf(":") != -1) {
            param.scale = ruleForm.scale.split(":")[0] / ruleForm.scale.split(":")[1];
          }

          if (param.scale && !external_xe_utils_default().isNumber(param.scale)) {
            (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
              message: "请输入或选择正确格式的比例尺",
              type: "warning"
            });
            return false;
          } else {
            if (param.scale > 0.002 || param.scale < 0.0000001) {
              (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
                message: "请输入或选择正确范围的比例尺",
                type: "warning"
              });
              return false;
            }
          }

          viewModel.startPrint(param, type).then(res => {
            if (res) {// 预览
            }
          }).catch(err => {
            (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
              message: err.error?.message,
              type: "warning"
            });
          });
        } else {
          console.log("error submit!", fields);
        }
      });
    };

    return (_ctx, _cache) => {
      const _component_kq_icon = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-icon");

      const _component_kq_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-button");

      const _component_kq_input_number = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-input-number");

      const _component_kq_form_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-form-item");

      const _component_kq_option = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-option");

      const _component_kq_select = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-select");

      const _component_kq_collapse_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-collapse-item");

      const _component_kq_collapse = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-collapse");

      const _component_kq_form = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-form");

      const _component_kq_layer_tree = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-layer-tree");

      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("section", {
        class: "kq-2d-web-print-wrapper",
        ref_key: "boxRef",
        ref: boxRef
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 打印设置框 "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
        class: "setting-wrap",
        ref_key: "settingWrapRef",
        ref: settingWrapRef,
        style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeStyle)({
          left: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowSettingBox) ? `16px` : `-442px`
        })
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_1, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowSettingBox) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_button, {
        key: 0,
        onClick: _cache[0] || (_cache[0] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(isShowSettingBox) ? isShowSettingBox.value = false : isShowSettingBox = false),
        class: "hide-setting-box-btn",
        plain: ""
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.DArrowLeft))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true), !(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowSettingBox) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_button, {
        key: 1,
        onClick: _cache[1] || (_cache[1] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(isShowSettingBox) ? isShowSettingBox.value = true : isShowSettingBox = true),
        class: "show-setting-box-btn",
        plain: ""
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.DArrowRight))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true)]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)(["setting-box", __props.showShadow ? 'shadow' : null]),
        ref_key: "settingBoxRef",
        ref: settingBoxRef
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)(["box", (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowLayerSelect) ? 'is-show-layer' : null])
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
        class: "main-box",
        ref_key: "mainBoxRef",
        ref: mainBoxRef
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 图层选择-bar "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
        class: "select-layer-bar bar",
        onClick: _cache[2] || (_cache[2] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(isShowLayerSelect) ? isShowLayerSelect.value = true : isShowLayerSelect = true)
      }, [_hoisted_2, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ArrowRight))]),
        _: 1
        /* STABLE */

      })]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form, {
        model: ruleForm,
        rules: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(rules),
        "label-width": "110px",
        ref_key: "ruleFormRef",
        ref: ruleFormRef
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_collapse, {
          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(activeNames),
          "onUpdate:modelValue": _cache[11] || (_cache[11] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(activeNames) ? activeNames.value = $event : activeNames = $event)
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_collapse_item, {
            name: "1"
          }, {
            title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_3, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, {
              class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)(["header-icon", (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(activeNames).includes('1') ? 'is-active' : null])
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.CaretRight))]),
              _: 1
              /* STABLE */

            }, 8
            /* PROPS */
            , ["class"])]),
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_4, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
              label: "中心点经度/X",
              prop: "x"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_input_number, {
                modelValue: ruleForm.x,
                "onUpdate:modelValue": _cache[3] || (_cache[3] = $event => ruleForm.x = $event),
                max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(labelsData).xmax,
                min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(labelsData).xmin,
                placeholder: "请输入中心点经度/X"
              }, null, 8
              /* PROPS */
              , ["modelValue", "max", "min"])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
              label: "中心点纬度/Y",
              prop: "y"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_input_number, {
                modelValue: ruleForm.y,
                "onUpdate:modelValue": _cache[4] || (_cache[4] = $event => ruleForm.y = $event),
                max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(labelsData).ymax,
                min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(labelsData).ymin,
                placeholder: "请输入中心点纬度/Y"
              }, null, 8
              /* PROPS */
              , ["modelValue", "max", "min"])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
              label: "比例尺",
              prop: "scale"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                modelValue: ruleForm.scale,
                "onUpdate:modelValue": _cache[5] || (_cache[5] = $event => ruleForm.scale = $event),
                placeholder: "请选择比例尺",
                clearable: "",
                "allow-create": "",
                filterable: ""
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(dictionaries_namespaceObject.webPrintDic).data.scale, (item, index) => {
                  return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                    key: index,
                    label: item.label,
                    value: item.value
                  }, null, 8
                  /* PROPS */
                  , ["label", "value"]);
                }), 128
                /* KEYED_FRAGMENT */
                ))]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["modelValue"])]),
              _: 1
              /* STABLE */

            })])]),
            _: 1
            /* STABLE */

          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_collapse_item, {
            name: "2"
          }, {
            title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_5, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, {
              class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)(["header-icon", (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(activeNames).includes('2') ? 'is-active' : null])
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.CaretRight))]),
              _: 1
              /* STABLE */

            }, 8
            /* PROPS */
            , ["class"])]),
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_6, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
              label: "打印模板",
              prop: "layout"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                modelValue: ruleForm.layout,
                "onUpdate:modelValue": _cache[6] || (_cache[6] = $event => ruleForm.layout = $event),
                placeholder: "请选择打印模板"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                  label: "print1",
                  value: "print1"
                }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                  label: "print2",
                  value: "print2"
                })]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["modelValue"])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
              label: "纸张类型",
              prop: "type"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                modelValue: ruleForm.type,
                "onUpdate:modelValue": _cache[7] || (_cache[7] = $event => ruleForm.type = $event),
                placeholder: "请选择纸张类型"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(dictionaries_namespaceObject.webPrintDic).page.type, (item, index) => {
                  return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                    key: index,
                    label: item,
                    value: item
                  }, null, 8
                  /* PROPS */
                  , ["label", "value"]);
                }), 128
                /* KEYED_FRAGMENT */
                ))]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["modelValue"])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
              label: "纸张方向",
              prop: "orientation"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                modelValue: ruleForm.orientation,
                "onUpdate:modelValue": _cache[8] || (_cache[8] = $event => ruleForm.orientation = $event),
                placeholder: "请选择纸张方向"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(dictionaries_namespaceObject.webPrintDic).page.orientation, (item, index) => {
                  return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                    key: index,
                    label: item.label,
                    value: item.value
                  }, null, 8
                  /* PROPS */
                  , ["label", "value"]);
                }), 128
                /* KEYED_FRAGMENT */
                ))]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["modelValue"])]),
              _: 1
              /* STABLE */

            })])]),
            _: 1
            /* STABLE */

          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_collapse_item, {
            title: "打印输出",
            name: "3"
          }, {
            title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_7, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, {
              class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)(["header-icon", (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(activeNames).includes('3') ? 'is-active' : null])
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.CaretRight))]),
              _: 1
              /* STABLE */

            }, 8
            /* PROPS */
            , ["class"])]),
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_8, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
              label: "分辨率",
              prop: "dpi"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                modelValue: ruleForm.dpi,
                "onUpdate:modelValue": _cache[9] || (_cache[9] = $event => ruleForm.dpi = $event),
                placeholder: "请选择分辨率"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(dictionaries_namespaceObject.webPrintDic).output.dpi, (item, index) => {
                  return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                    key: index,
                    label: item,
                    value: item
                  }, null, 8
                  /* PROPS */
                  , ["label", "value"]);
                }), 128
                /* KEYED_FRAGMENT */
                ))]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["modelValue"])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
              label: "输出格式",
              prop: "format"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                modelValue: ruleForm.format,
                "onUpdate:modelValue": _cache[10] || (_cache[10] = $event => ruleForm.format = $event),
                placeholder: "请选择图片格式"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(dictionaries_namespaceObject.webPrintDic).output.format, (item, index) => {
                  return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                    key: index,
                    label: item,
                    value: item
                  }, null, 8
                  /* PROPS */
                  , ["label", "value"]);
                }), 128
                /* KEYED_FRAGMENT */
                ))]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["modelValue"])]),
              _: 1
              /* STABLE */

            })])]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        }, 8
        /* PROPS */
        , ["modelValue"])]),
        _: 1
        /* STABLE */

      }, 8
      /* PROPS */
      , ["model", "rules"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_9, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
        plain: "",
        onClick: _cache[12] || (_cache[12] = $event => onSubmit('preview'))
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_10]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
        plain: "",
        onClick: _cache[13] || (_cache[13] = $event => onSubmit('print'))
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_11]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
        type: "primary",
        onClick: _cache[14] || (_cache[14] = $event => onSubmit('img'))
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_12]),
        _: 1
        /* STABLE */

      })])], 512
      /* NEED_PATCH */
      ), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 图层选择-box "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
        class: "select-layer-box",
        ref_key: "selectLayerBoxRef",
        ref: selectLayerBoxRef
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 图层选择-bar "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
        class: "select-layer-bar bar",
        onClick: _cache[15] || (_cache[15] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(isShowLayerSelect) ? isShowLayerSelect.value = false : isShowLayerSelect = false)
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ArrowLeft))]),
        _: 1
        /* STABLE */

      }), _hoisted_13]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_14, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_layer_tree, {
        showShadow: false
      })])], 512
      /* NEED_PATCH */
      )], 2
      /* CLASS */
      )], 2
      /* CLASS */
      )], 4
      /* STYLE */
      ), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 预览框 "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_15, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_16, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ZoomIn))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ZoomOut))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Rank))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })])])], 512
      /* NEED_PATCH */
      );
    };
  }

}));
;// CONCATENATED MODULE: ./src/leaflet/webprint/WebPrint.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/leaflet/webprint/WebPrint.vue



const __exports__ = WebPrintvue_type_script_setup_true_lang_js;

/* harmony default export */ var WebPrint = (__exports__);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/init.js"
var init_js_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/init.js");
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_namespaceObject);
;// CONCATENATED MODULE: ./src/leaflet/webprint/index.js




WebPrint.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(WebPrint.name, WebPrint);
};


module.exports = __webpack_exports__;
/******/ })()
;